package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbn;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbnMapper {
    int insert(Dbn record);

    int insertSelective(Dbn record);

    int updateByPrimaryKeySelective(Dbn record);

    int updateByPrimaryKey(Dbn record);

    int deleteByPrimaryKey(Dbn record);

    int deleteByIds(Collection<Object> collection);

    Dbn selectByPrimaryKey(Dbn record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbn> dyncRead(Map<String,Object> dyncMap);

    Dbn selectByRptnoAndTmpref(@Param("rptno")String rptno, @Param("tmpref")String tmpref);
    Dbn selectByTmpref(@Param("tmpref")String tmpref);
}
